---
title: WebSocket.onerror
slug: Web/API/WebSocket/onerror
tags:
  - API
  - Connection
  - Error
  - Error Handler
  - Networking
  - Property
  - Reference
  - Web API
  - WebSocket
  - onerror
---
<div>{{APIRef("Web Sockets API")}}</div>

<p><span class="seoSummary">The {{domxref("WebSocket")}} interface's <code><strong>onerror</strong></code> event handler property is a function which gets called when an error occurs on the WebSocket.</span></p>

<p>You can also add an <code>error</code> event handler using {{domxref("EventTarget.addEventListener", "addEventListener()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>webSocket</em>.onerror = <em>eventHandler</em>;</pre>

<h3 id="Value">Value</h3>

<p>A function or {{domxref("EventHandler")}} which is executed whenever an <code>error</code> event occurs on the WebSocket connection.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js"><em>webSocket</em>.onerror = function(event) {
  console.error("WebSocket error observed:", event);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#handler-websocket-onerror', 'WebSocket: onerror')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WebSocket.onerror")}}</p>
